Click or drag to resize

GeometryEncoderToCurveLoop Method

Converts the specified Rhino.Geometry.Curve to an equivalent of Autodesk.Revit.DB.CurveLoop containing consecutive segments of the input curve.

Namespace:  RhinoInside.Revit.Convert.Geometry
Assembly:  RhinoInside.Revit (in RhinoInside.Revit.dll) Version: 1.7.8130
Syntax
public static Autodesk.Revit.DB.CurveLoop ToCurveLoop(
	this Rhino.Geometry.Curve curve
)

Parameters

curve
Type: Rhino.Geometry.Curve
Rhino curve to convert.

Return Value

Type: Autodesk.Revit.DB.CurveLoop
Revit curveLoop that contains consecutive segments of provided Rhino curve.

Usage Note

In Visual Basic and C#, you can call this method as an instance method on any object of type Rhino.Geometry.Curve. When you use instance method syntax to call this method, omit the first parameter. For more information, see Extension Methods (Visual Basic) or Extension Methods (C# Programming Guide).
Examples
Using ToCurveLoop(Curve) as extension method:
using DB = Autodesk.Revit.DB;
using RhinoInside.Revit.Convert.Geometry;

DB.CurveLoop revitCurveLoop = rhinoCurve.ToCurveLoop();
Using ToCurveLoop(Curve) as static method:
using DB = Autodesk.Revit.DB;
using RhinoInside.Revit.Convert.Geometry;

DB.CurveLoop revitCurveLoop = GeometryEncoder.ToCurveLoop(rhinoCurve);
See Also